# SocketTools 10 ActiveX Edition

Version 10.0.1465.2491
This SocketTools release includes 32-bit and 64-bit ActiveX controls (OCXs) for the Windows platform. All components are digitally signed and can be redistributed to end users for testing purposes.

Because this version of SocketTools uses new installer technology, it is recommended you uninstall the previous build of SocketTools 10 prior to installing this update. It is not necessary to uninstall earlier versions of SocketTools.

## Installation

The self-installing executable in this archive will install SocketTools for use in a development environment. It should not be used to install the SocketTools components on an end-user system.

To assist with deployment to end users, we provide Windows Installer (MSI) packages which can be used install the redistributable components. For more information, refer to our Knowledge Base [article](https://sockettools.com/kb/sockettools-windows-installer-packages/).

By default, SocketTools will be installed to **C:\Program Files (x86)\SocketTools 10.0 ActiveX Edition** and you can change this folder with new installations. If you are updating SocketTools, the installer will replace files in the original installation folder.

Although SocketTools defaults to the 32-bit Program Files folder, it will install both 32-bit and 64-bit ActiveX controls on a 64-bit Windows system. The controls are installed into the appropriate Windows system folder and redistributable copies are stored in the **Redist** folder where the SocketTools ActiveX Edition has been installed.

The development environment, such as Visual Basic 6.0, determines which version of the ActiveX controls should be used. A 32-bit language can only use the 32-bit ActiveX controls on the 64-bit version of Windows.

## Digital Signatures

The SocketTools installer packages and components have been digitally signed with a Comodo extended validation (EV) Authenticode certificate which uses SHA-256 signatures. Security software on older, unsupported platforms such as Windows XP and and Windows Server 2003 may report the installers as having an invalid certificate because they only recognize MD5 and SHA-1 signatures.

## Redistribution

If you are installing SocketTools with an evaluation license, you will not be able to redistribute the components to another system. The evaluation license is only valid on the local system for testing purposes by the user who installed the product.

If you install SocketTools with a serial number, it will create the development license required to redistribute the components to other users. There are no additional runtime licensing requirements, and the components can be redistributed to as many end users as required.

For assistance with deploying your applications, we have a Knowledge Base article for redistribution of the ActiveX controls:

- [SocketTools ActiveX Redistribution](https://sockettools.com/kb/sockettools-10-activex-redistribution/)


The article describes how to create the runtime license key for your projects and how it is used. The same license key should be used with each control. Some languages, such as Visual Basic 6.0, will automatically embed the license information in the compiled executable. Other languages may require you to call the **Initialize** method with your runtime license key.

## System Requirements

SocketTools 10 supports all modern Windows desktop and server platforms. We recommend you install the latest security updates from Windows Update and the current network drivers available for your system. The minimum supported platform is Windows 7 SP1 and Windows Server 2008 R2.

SocketTools includes both 32-bit and 64-bit components. We recommend development on 64-bit versions of Windows, and for the broadest compatibility with most end-user systems, we recommend targeting your project for the x86 (32-bit) platform.

Targeting the x86 platform will ensure your application will work on both 32-bit and 64-bit Windows. A 32-bit application can run on 64-bit Windows under WoW64; however, a 64-bit application cannot run on 32-bit versions of Windows.

## Examples

The examples for SocketTools are placed in your Documents folder, under **SocketTools Examples**. They are placed there so you can easily modify them without having to copy them out of the installation folder.

